#pragma once
#include <net_base.h>
#include <util.h>
#include <vector>
#include <string>

class CClient
{
public:
    CClient(const std::shared_ptr<spdlog::logger>& logger);
    ~CClient();

public:
    void run();

public:
    bool get_task_list();

private:
    void handle_data(CFrameBuffer* buf);

private:
    std::shared_ptr<spdlog::logger> logger_;
    asio::io_context io_context_;
    std::shared_ptr<CTcpClient> client_;
    std::vector<std::string> supported_;
};